// This file is generated by kconfig_compiler from kvirustotal.kcfg.
// All changes you do to this file will be lost.
#ifndef SETTINGS_H
#define SETTINGS_H

#include <kconfigskeleton.h>
#include <kdebug.h>

class Settings : public KConfigSkeleton
{
  public:

    static Settings *self();
    ~Settings();

    /**
      Set The current version. Used for upgrading operations only
    */
    static
    void setCurrentVersion( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CurrentVersion" ) ))
        self()->mCurrentVersion = v;
    }

    /**
      Get The current version. Used for upgrading operations only
    */
    static
    QString currentVersion()
    {
      return self()->mCurrentVersion;
    }

    /**
      Set Time tasks must take to show a notification (0=disabled)
    */
    static
    void setTaskNotificationTime( int v )
    {
      if (v < 0)
      {
        kDebug() << "setTaskNotificationTime: value " << v << " is less than the minimum value of 0";
        v = 0;
      }

      if (v > 999)
      {
        kDebug() << "setTaskNotificationTime: value " << v << " is greater than the maximum value of 999";
        v = 999;
      }

      if (!self()->isImmutable( QString::fromLatin1( "TaskNotificationTime" ) ))
        self()->mTaskNotificationTime = v;
    }

    /**
      Get Time tasks must take to show a notification (0=disabled)
    */
    static
    int taskNotificationTime()
    {
      return self()->mTaskNotificationTime;
    }

    /**
      Set HttpConnector implementation type
    */
    static
    void setHttpConnectorType( int v )
    {
      if (v < 0)
      {
        kDebug() << "setHttpConnectorType: value " << v << " is less than the minimum value of 0";
        v = 0;
      }
      if (!self()->isImmutable( QString::fromLatin1( "HttpConnectorType" ) ))
        self()->mHttpConnectorType = v;
    }

    /**
      Get HttpConnector implementation type
    */
    static
    int httpConnectorType()
    {
      return self()->mHttpConnectorType;
    }

    /**
      Set Show always notifications for infected tasks
    */
    static
    void setInfectedTaskNotification( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "InfectedTaskNotification" ) ))
        self()->mInfectedTaskNotification = v;
    }

    /**
      Get Show always notifications for infected tasks
    */
    static
    bool infectedTaskNotification()
    {
      return self()->mInfectedTaskNotification;
    }

    /**
      Set Check for new versions at startup
    */
    static
    void setCheckVersionAtStartup( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CheckVersionAtStartup" ) ))
        self()->mCheckVersionAtStartup = v;
    }

    /**
      Get Check for new versions at startup
    */
    static
    bool checkVersionAtStartup()
    {
      return self()->mCheckVersionAtStartup;
    }

    /**
      Set Allow only a single application instance
    */
    static
    void setCreateUniqueApplicationInstance( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "CreateUniqueApplicationInstance" ) ))
        self()->mCreateUniqueApplicationInstance = v;
    }

    /**
      Get Allow only a single application instance
    */
    static
    bool createUniqueApplicationInstance()
    {
      return self()->mCreateUniqueApplicationInstance;
    }

    /**
      Set Coordinates of the main window
    */
    static
    void setMainWindowPos( const QPoint & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MainWindowPos" ) ))
        self()->mMainWindowPos = v;
    }

    /**
      Get Coordinates of the main window
    */
    static
    QPoint mainWindowPos()
    {
      return self()->mMainWindowPos;
    }

    /**
      Set Size of the main window
    */
    static
    void setMainWindowSize( const QSize & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "MainWindowSize" ) ))
        self()->mMainWindowSize = v;
    }

    /**
      Get Size of the main window
    */
    static
    QSize mainWindowSize()
    {
      return self()->mMainWindowSize;
    }

    /**
      Set State of the the main window's splitter
    */
    static
    void setSplitterState( const QList<int> & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "SplitterState" ) ))
        self()->mSplitterState = v;
    }

    /**
      Get State of the the main window's splitter
    */
    static
    QList<int> splitterState()
    {
      return self()->mSplitterState;
    }

    /**
      Set Width of the columns of the task table
    */
    static
    void setTaskTableCols( const QList<int> & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "TaskTableCols" ) ))
        self()->mTaskTableCols = v;
    }

    /**
      Get Width of the columns of the task table
    */
    static
    QList<int> taskTableCols()
    {
      return self()->mTaskTableCols;
    }

    /**
      Set Width of the columns of the report table
    */
    static
    void setReportTableCols( const QList<int> & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ReportTableCols" ) ))
        self()->mReportTableCols = v;
    }

    /**
      Get Width of the columns of the report table
    */
    static
    QList<int> reportTableCols()
    {
      return self()->mReportTableCols;
    }

    /**
      Set API key required to access the online services provided by VirusTotal
    */
    static
    void setServiceKey( const QString & v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ServiceKey" ) ))
        self()->mServiceKey = v;
    }

    /**
      Get API key required to access the online services provided by VirusTotal
    */
    static
    QString serviceKey()
    {
      return self()->mServiceKey;
    }

    /**
      Set Whether to use HTTPS protocol rather than unsecured HTTP
    */
    static
    void setSecureProtocol( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "SecureProtocol" ) ))
        self()->mSecureProtocol = v;
    }

    /**
      Get Whether to use HTTPS protocol rather than unsecured HTTP
    */
    static
    bool secureProtocol()
    {
      return self()->mSecureProtocol;
    }

    /**
      Set Whether to use existant reports first, if available
    */
    static
    void setReuseLastReport( bool v )
    {
      if (!self()->isImmutable( QString::fromLatin1( "ReuseLastReport" ) ))
        self()->mReuseLastReport = v;
    }

    /**
      Get Whether to use existant reports first, if available
    */
    static
    bool reuseLastReport()
    {
      return self()->mReuseLastReport;
    }

  protected:
    Settings();
    friend class SettingsHelper;


    // general
    QString mCurrentVersion;
    int mTaskNotificationTime;
    int mHttpConnectorType;
    bool mInfectedTaskNotification;
    bool mCheckVersionAtStartup;
    bool mCreateUniqueApplicationInstance;

    // mainwindow
    QPoint mMainWindowPos;
    QSize mMainWindowSize;
    QList<int> mSplitterState;
    QList<int> mTaskTableCols;
    QList<int> mReportTableCols;

    // network
    QString mServiceKey;
    bool mSecureProtocol;
    bool mReuseLastReport;

  private:
};

#endif

